Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153242 - no sqlite and urlgrabber on upgrade
Summary: no sqlite and urlgrabber on upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-03 22:03 UTC by Havoc Pennington
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 19:42:05 UTC


Attachments (Terms of Use)

Description Havoc Pennington 2005-04-03 22:03:24 UTC
On "yum update [some stuff here]" to rawhide from FC3-something-or-other, python
was upgraded (2.3->2.4 I think) which meant that yum was missing required deps
(sqlite and urlgrabber). This is the _old_ yum that requires these and they were
pulled from under it, I think.

Just the standard problem with splitting up a package more than it was previously.
Don't know if there's anything we can do or not.

Comment 1 Jeremy Katz 2005-04-03 22:09:16 UTC
yum has a requires on urlgrabber and sqlite.  If you do only some stuff, then
you probably got python updated and not other bits (including yum) because we
don't have python deps everywhere we should (although we're doing better with
what's in FC4).

Comment 2 Mihai Ibanescu 2005-04-20 19:42:05 UTC
Until we get real dependencies, not really something we can address.


Note You need to log in before you can comment on or make changes to this bug.